Package com.enonic.xp.xml.parser

## Class XmlObjectParser<P extends XmlObjectParser<P>>

- java.lang.Object
- - com.enonic.xp.xml.parser.XmlObjectParser<P>

- Direct Known Subclasses:
    `XmlModelParser`

      @PublicApi
      public abstract class XmlObjectParser<P extends XmlObjectParser<P>>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmlObjectParser()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `assertTagName​(DomElement elem, String name)` |
    `protected void` | `assertTagNames​(DomElement elem, Collection<String> names)` |
    `protected abstract void` | `doParse​(DomElement root)` |
    `P` | `parse()` |
    `P` | `source​(CharSource source)` |
    `P` | `source​(File file)` | Deprecated.
    `P` | `source​(String source)` |
    `P` | `source​(URL url)` | Deprecated.
    `P` | `systemId​(String systemId)` |
    `protected P` | `typecastThis()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlObjectParser

          public XmlObjectParser()

  - ### Method Detail

    - #### typecastThis

          protected final P typecastThis()

    - #### systemId

          public final P systemId​(String systemId)

    - #### source

          @Deprecated
          public final P source​(URL url)

      Deprecated.

    - #### source

          public final P source​(String source)

    - #### source

          public final P source​(CharSource source)

    - #### source

          @Deprecated
          public final P source​(File file)

      Deprecated.

    - #### parse

          public final P parse()

    - #### doParse

          protected abstract void doParse​(DomElement root)
                                   throws Exception

      Throws:
        `Exception`

    - #### assertTagName

          protected final void assertTagName​(DomElement elem,
                                             String name)

    - #### assertTagNames

          protected final void assertTagNames​(DomElement elem,
                                              Collection<String> names)